Package groovy.servlet

# Class ServletCategory

java.lang.Object
groovy.servlet.ServletCategory

    public class ServletCategory
    extends java.lang.Object

Servlet support.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ServletCategory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.Object` | `get​(HttpSession session, java.lang.String key)` |
  `static java.lang.Object` | `get​(PageContext context, java.lang.String key)` |
  `static java.lang.Object` | `get​(ServletContext context, java.lang.String key)` |
  `static java.lang.Object` | `get​(ServletRequest request, java.lang.String key)` |
  `static java.lang.Object` | `getAt​(HttpSession session, java.lang.String key)` |
  `static java.lang.Object` | `getAt​(PageContext context, java.lang.String key)` |
  `static java.lang.Object` | `getAt​(ServletContext context, java.lang.String key)` |
  `static java.lang.Object` | `getAt​(ServletRequest request, java.lang.String key)` |
  `static void` | `putAt​(HttpSession session, java.lang.String key, java.lang.Object value)` |
  `static void` | `putAt​(PageContext context, java.lang.String key, java.lang.Object value)` |
  `static void` | `putAt​(ServletContext context, java.lang.String key, java.lang.Object value)` |
  `static void` | `putAt​(ServletRequest request, java.lang.String key, java.lang.Object value)` |
  `static void` | `set​(HttpSession session, java.lang.String key, java.lang.Object value)` |
  `static void` | `set​(PageContext context, java.lang.String key, java.lang.Object value)` |
  `static void` | `set​(ServletContext context, java.lang.String key, java.lang.Object value)` |
  `static void` | `set​(ServletRequest request, java.lang.String key, java.lang.Object value)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServletCategory

    public ServletCategory()

- ## Method Details

  - ### get

    public static java.lang.Object get​(ServletContext context, java.lang.String key)

  - ### get

    public static java.lang.Object get​(HttpSession session, java.lang.String key)

  - ### get

    public static java.lang.Object get​(ServletRequest request, java.lang.String key)

  - ### get

    public static java.lang.Object get​(PageContext context, java.lang.String key)

  - ### getAt

    public static java.lang.Object getAt​(ServletContext context, java.lang.String key)

  - ### getAt

    public static java.lang.Object getAt​(HttpSession session, java.lang.String key)

  - ### getAt

    public static java.lang.Object getAt​(ServletRequest request, java.lang.String key)

  - ### getAt

    public static java.lang.Object getAt​(PageContext context, java.lang.String key)

  - ### set

    public static void set​(ServletContext context, java.lang.String key, java.lang.Object value)

  - ### set

    public static void set​(HttpSession session, java.lang.String key, java.lang.Object value)

  - ### set

    public static void set​(ServletRequest request, java.lang.String key, java.lang.Object value)

  - ### set

    public static void set​(PageContext context, java.lang.String key, java.lang.Object value)

  - ### putAt

    public static void putAt​(ServletContext context, java.lang.String key, java.lang.Object value)

  - ### putAt

    public static void putAt​(HttpSession session, java.lang.String key, java.lang.Object value)

  - ### putAt

    public static void putAt​(ServletRequest request, java.lang.String key, java.lang.Object value)

  - ### putAt

    public static void putAt​(PageContext context, java.lang.String key, java.lang.Object value)